Skip to main content
GET
/
v1
/
projects
curl https://nest.feather.mupeni.dev/v1/projects \
  -H "Authorization: Bearer <server_key>"

curl "https://nest.feather.mupeni.dev/v1/projects?slug=my-app" \
 -H "Authorization: Bearer <server_key>"

{
  "items": [
    {
      "id": "proj_01hx...",
      "orgId": "org_01hx...",
      "name": "My App",
      "slug": "my-app",
      "createdAt": "2024-03-01T12:00:00.000Z"
    }
  ],
  "nextCursor": null,
  "hasMore": false
}

Query parameters

limit
number
Page size. 1–100, default 50.
cursor
number
Timestamp cursor from a previous response’s nextCursor.
slug
string
Optional exact slug filter. When provided, results are constrained to at most one project.
When slug is present:
  • cursor is not allowed (422 VALIDATION_ERROR)
  • limit is ignored and internally forced to 1

Response

items
Project[]
required
nextCursor
number | null
required
hasMore
boolean
required
curl https://nest.feather.mupeni.dev/v1/projects \
  -H "Authorization: Bearer <server_key>"

curl "https://nest.feather.mupeni.dev/v1/projects?slug=my-app" \
 -H "Authorization: Bearer <server_key>"

{
  "items": [
    {
      "id": "proj_01hx...",
      "orgId": "org_01hx...",
      "name": "My App",
      "slug": "my-app",
      "createdAt": "2024-03-01T12:00:00.000Z"
    }
  ],
  "nextCursor": null,
  "hasMore": false
}